Get Standalone Accounts

Prev Next
Get
/v1/accounts

Read all standalone accounts.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
id
integer

Filter by Standalone Account ID

name
string

Filter by name

email
string (email)

Filter by email

status
string

Filter by status

wasabiAccountNumber
integer

Filter by Wasabi account number

page
integer

Page number

size
integer

Number of items per page

partnerName
string

Filter by partner name

storageAmount
string

Filter by projected storage amount

companyName
string

Filter by company name

Responses
200

Successfully retrieved standalone accounts

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "33445",
        "firstName": "Jane",
        "lastName": "Smith",
        "companyName": "Acme Corporation",
        "email": "admin@acme.com",
        "country": "United States",
        "phoneNumber": "+1-555-987-6543",
        "partnerName": "Sample Partner",
        "wasabiAccountNumber": "100987654",
        "status": "Verified",
        "storageAmount": "25 - 50 TB",
        "createDate": "2024-01-10"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (StandaloneAccountResponse)
object
id
integer
firstName
string
lastName
string
companyName
string
email
string
country
string
phoneNumber
string
partnerName
string
wasabiAccountNumber
integer | null
status
string

Account status ("Verified" or "Pending")

storageAmount
string
page
integer
size
integer
total
integer